function PlaybackDevice({id, name, description}) {
    let _id = id;
    let _name = name;
    let _description = description;

    function getId() {
        return _id;
    }

    function getName() {
        return _name;
    }

    function getDescription() {
        return _description;
    }
    
    function setId(id) {
        _id = id;
    }

    function setName(name) {
        _name = name;
    }

    function setDescription(description) {
        _description = description;
    }

    return {
        getId,
        getName,
        getDescription,
        setId,
        setName,
        setDescription
    };
}

export default PlaybackDevice;